%define name drakx-installer-rescue
%define version 1.21
%define release %mkrel 2

Summary: Rescue image
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: Development/Other
Url: http://wiki.mandriva.com/Tools/DrakX
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: perl-XML-Parser squashfs-tools mknod-m600
BuildRequires: ldetect-lst-devel
BuildRequires: hexedit grub rsync openssh-clients krb5-appl-clients kbd strace
BuildRequires: gpart parted partimage
BuildRequires: dump xfsdump eject testdisk extipl
BuildRequires: xfsprogs reiserfsprogs jfsprogs ntfsprogs dosfstools
BuildRequires: mdadm lvm2 dmraid kpartx dmraid-events dmsetup
BuildRequires: setserial
BuildRequires: mt-st
BuildRequires: pciutils ldetect
BuildRequires: packdrake rpmtools
BuildRequires: vim-minimal
BuildRequires: drakx-installer-binaries drakxtools-backend drakx-kbd-mouse-x11
BuildRequires: bind-utils nfs-utils-clients wget
BuildRequires: ka-deploy-source-node
BuildRequires: cdialog
BuildRequires: ldetect-lst >= 0.1.222
BuildRequires: ntfs-3g
BuildRequires: cryptsetup photorec quota
BuildRequires: pv

%description
rescue image

%prep
%setup -q

%build
make -C rescue

%install
rm -rf $RPM_BUILD_ROOT

dest=$RPM_BUILD_ROOT%{_libdir}/%name
mkdir -p $dest
cp -r rescue/rescue.sqfs $dest

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/%name


%changelog
* Wed Jun 16 2010 Thomas Backlund <tmb@mandriva.org> 1.21-2mdv2010.1
+ Revision: 548177
- rebuild for updated e2fsprogs and xfsprogs

* Wed May 19 2010 Antoine Ginies <aginies@mandriva.com> 1.21-1mdv2010.1
+ Revision: 545362
- add missing dmeventd

* Wed May 19 2010 Antoine Ginies <aginies@mandriva.com> 1.20-1mdv2010.1
+ Revision: 545350
- add some missing tools (#59357)

* Fri May 07 2010 Antoine Ginies <aginies@mandriva.com> 1.19-1mdv2010.1
+ Revision: 543175
- remove telnet buildrequires (provided by krb5-appl-clients)
- ftp-client-krb5 doesnt exist anymore, now it's krb5-appl-clients
- 1.19
- add udev_creation.sh needed script to recreate all udev devices in client node in ka replication process
- rebuild to take into account new ka-deploy-source-host (lot of fixes)

* Tue Apr 13 2010 Olivier Blin <oblin@mandriva.com> 1.18-1mdv2010.1
+ Revision: 534196
- 1.18
- image restore script: use blkid instead of deprecated vol_id

* Mon Apr 12 2010 Olivier Blin <oblin@mandriva.com> 1.17-1mdv2010.1
+ Revision: 533674
- 1.17
- Handle LVM (#44723)
- image restore script: handle hybrid images (by matching main device)

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.16-2mdv2010.1
+ Revision: 522538
- rebuilt for 2010.1

* Fri Oct 09 2009 Olivier Blin <oblin@mandriva.com> 1.16-1mdv2010.0
+ Revision: 456438
- 1.16
- work both with squashfs 3 and 4
- image restore script (from Paulo Ricardo Zanoni):
  o re-read partition table after writing image
  o do not extend / to the end of the disk, it overlaps with swap
    partition
- do not make de-latin1 keymap a symlink loop (#45109)
- use extipl from /usr/lib/extipl on x86_64 too
  (to fix restore_ms_boot, hardcoding this path)

* Fri Sep 11 2009 Pascal Terjan <pterjan@mandriva.org> 1.15-2mdv2010.0
+ Revision: 438300
- Use native squashfs format, not squashfs3 else stage1 won't load rescue

* Thu Sep 03 2009 Thierry Vignaud <tv@mandriva.org> 1.15-1mdv2010.0
+ Revision: 428383
- add back dumpe2fs
- run /oem-rescue.sh if oem option is present on cmdline
- allow to specify main partition in the restore config file
  (MAIN_PART_NUMBER), if there is a restore partition at beginning of
  disk
- load ext4 module (#48816)
- use blkid instead of vol_id which we no longer ship

  + Christophe Fergeau <cfergeau@mandriva.com>
    - depends on squashfs3-tools instead of squashfs-tools
    - Add missing BuildRequires

* Wed May 27 2009 Olivier Blin <oblin@mandriva.com> 1.14-1mdv2010.0
+ Revision: 380198
- 1.14
- adapt to new extipl location in x86_64
- adapt to new magic.mgc location
- buildrequire cryptsetup, photorec and quota
- 1.13
- include various commands
- image restore script:
  o better estimate of image dump progression
  o fix detecting multiple partitions to avoid win32 detection
  o fix guessing extension when filename contains a dot

* Fri Feb 20 2009 Olivier Blin <oblin@mandriva.com> 1.12-1mdv2009.1
+ Revision: 343265
- buildrequire ntfs-3g (for mount.ntfs-3g)
- 1.12
- image restore script:
  o add swap partition
  o use a minimum size for disks to be detected (Caio)
  o resize Windows partitions if needed (Caio)
- Flash rescue:
  o add support for Flash 2009
  o try to load squashfs-lzma too
  o handle path to lzma distrib loopbacks
- fix build:
  o do not include dead parsehdlist
  o do not include dead rpm helpers

* Thu Sep 25 2008 Olivier Blin <oblin@mandriva.com> 1.11-1mdv2009.0
+ Revision: 288249
- buildrequire cdialog (for dialog)
- 1.11
- add image restoration scripts ("restore" command line parameter)

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 1.10-2mdv2009.0
+ Revision: 264421
- rebuild early 2009.0 package (before pixel changes)

  + Olivier Blin <oblin@mandriva.com>
    - 1.10
    - fix "Mounting other partitions from fstab" which use UUID=xxx
    - fix build with latest file package, which only includes the
      precompiled magic file
    - rebuild with latest ldetect-lst (to use libata pata drivers by default)
    - remove useless ldetect-lst require

* Mon Mar 10 2008 Olivier Blin <oblin@mandriva.com> 1.9-1mdv2008.1
+ Revision: 183602
- 1.9
- add missing modalias files (#38690)
- handle ntfs-3g in fstab (pixel)

* Fri Feb 29 2008 Olivier Blin <oblin@mandriva.com> 1.8-1mdv2008.1
+ Revision: 176573
- buildrequire packdrake
- buildrequire bind-utils (for host), wget and rpmtools (for parsehdlist)
- 1.8
- support new modules location (#38207)
- adapt to perl 5.10
- fix build (fix a workaround in partimage_whole_disk)
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - fix summary-not-capitalized
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Antoine Ginies <aginies@mandriva.com>
    - add ka-deploy-source-node buildrequires (needed by ka method)

* Tue Sep 25 2007 Thierry Vignaud <tv@mandriva.org> 1.7-1mdv2008.0
+ Revision: 92804
- BuildRequires nfs-utils-clients for mount.nfs

  + Pixel <pixel@mandriva.com>
    - 1.7: add mount.nfs binary (since mount doesn't handle nfs fs anymore)

* Mon Sep 03 2007 Pixel <pixel@mandriva.com> 1.6-2mdv2008.0
+ Revision: 78547
- rebuild to have correct keymaps (#33086)

* Wed Aug 08 2007 Pixel <pixel@mandriva.com> 1.6-1mdv2008.0
+ Revision: 60394
- new release, 1.6
- adapt to new libldetect together with drakx-installer-images 1.13
- loadkeys file:
  o handle new "kbd" rpm which have .map files instead of .kmap
  o don't skip fr_CH-latin1
  o handle "fr_CH"-like short names
- remove rescuept (use testdisk instead, which is much nicer)

* Mon Jul 09 2007 Pixel <pixel@mandriva.com> 1.5-1mdv2008.0
+ Revision: 50524
- rebuild
- new release, 1.5
- add /etc/mke2fs.conf in order to format ext3fs with 4k blocks (#27377)
- add "mkfs.ext3" which is no more equivalent to "mkfs.ext2 -J"
  (eg: dir_index & resize_inode features)


* Thu Apr 05 2007 Pixel <pixel@mandriva.com> 1.4-1mdv2007.1
+ Revision: 150724
- new release, 1.4
- zcat and gunzip can't be symlinks anymore, they are scripts

* Wed Apr 04 2007 Pixel <pixel@mandriva.com> 1.3-5mdv2007.1
+ Revision: 150643
- drakx-kbd-mouse-x11 is no more required by drakxtools-backend, adding explicit BuildRequires
- we can't expect mandriva-release nor mandriva-release to be installed at the moment, removing the check
- mandriva-release is no more, mandriva-release-common is the one to check
- don't depend on mandriva-release %%version-%%release, only on %%version
- rebuild with fixed gzip

* Fri Mar 16 2007 Pixel <pixel@mandriva.com> 1.3-2mdv2007.1
+ Revision: 144714
- rebuild

* Thu Feb 08 2007 Pixel <pixel@mandriva.com> 1.3-1mdv2007.1
+ Revision: 118151
- rebuild with valid rights on rescue.sqfs

* Mon Jan 29 2007 Pixel <pixel@mandriva.com> 1.2-1mdv2007.1
+ Revision: 115113
- drakx-installer-binaries are in lib64 on amd64
- mknod-m600 is needed for build
- add needed buildrequires
- initial release
- Create drakx-installer-rescue

